package org.wcs.serve.service.intf;

import jakarta.servlet.http.HttpServletResponse;
import org.wcs.model.dto.serve.stackerLocation.AddManyStackerLocationsReq;
import org.wcs.model.dto.serve.stackerLocation.AddStackerLocationReq;
import org.wcs.model.dto.serve.stackerLocation.QueryStackerLocationReq;
import org.wcs.model.dto.serve.stackerLocation.UpdateStackerLocationReq;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.common.PageDataResponse;
import org.wcs.model.vo.serve.stackerLocation.QueryStackerLocationVo;

import java.util.List;

public interface IStackerLocationService {

    AppServeDataResponse<PageDataResponse<QueryStackerLocationVo>> queryStackerLocation(QueryStackerLocationReq request, Integer pageSize,Integer pageIndex);
    AppServeResponse addStackerLocation(AddStackerLocationReq request); //添加货位
    AppServeResponse addStackerLocations(AddManyStackerLocationsReq request); // 批量添加库位
    void downloadStackerLocation(HttpServletResponse response, QueryStackerLocationReq request); // 下载查询的数据
    AppServeResponse updateStackerLocation(UpdateStackerLocationReq request); // 更新货位数据
    AppServeDataResponse<List<QueryStackerLocationVo>> queryStackerLocationListByStackerIdAndLaneId(Integer stackerId, Integer laneId);
    AppServeDataResponse<List<Integer>> queryStackerLocationLaneList(Integer stackerId);
    AppServeDataResponse<List<Integer>> queryStackerLocationStackerIdList();



}
